Answered
0
0

Hello Guys

Do you guys use Unreal Version 4.16.1?
I tried to install FMOD plugins to my Unreal Project a million times
but Unreal said Fmod files missing or different version
I checked version of FMOD Studio(1.09.05) and plug ins.
Everything is newst version I think

Please help me

  • You must to post comments
Best Answer
3
0

At the moment, to use the FMOD Integration with UE4.16 it needs to be recompiled in Visual Studio. Steps can be found at the bottom of Getting Started.

  • You must to post comments
Best Answer
0
0

Same problem .. think there is something wrong in site cos it says “10905UE4.15win64″ and supposed to be UE 4.16.

Hope they fix it..

  • You must to post comments
Best Answer
0
0

Here to help:

Here’s a quick video that shows you how to use the 4.15 source and compile it for your 4.16 games. It’s not hard to do:

https://www.dropbox.com/s/sztuzs30xghy41g/Ue4-FMOD-CompileFromSource.mp4?dl=0

Enjoy!

-TornadoTwins

  • You must to post comments
0
0

From the other thread, asking the same question Cameron Baron pointed out this (from the Getting Started info):

Compiling the plugin (Optional)

If you want to recompile the plugin, you can drop the plugin into a
code project under your game’s Plugins/FMODStudio directory, then
re-generate the project. This might be useful if you want to use the
plugin with a different version of the engine, such as a new
pre-release of UE4. You can also do this if you want to get the plugin
from github.

To recompile the plugin after downloading it from FMOD, do the
following:

Delete the FMODStudio/Intermediate directory.

FMODStudio/Binaries/Platform/UE4. files. Leave the fmod libraries in
the binaries directory!

Create a new code project using UE4.

Copy the plugin into YourGame/Plugins/FMODStudio.

Regenerate the game’s solution or xcode project.

Build the game for “Development Editor”.

Build the game for whatever other configurations you need.

This worked, combined with having initially clicked Play in Xcode (Build?) and allowing the process to complete, which is a more substantial build that I later discovered is required so I also ran Product > Build For > Profiling as well.

I then had FMOD running in 4.16!

Hope this helps someone.

  • You must to post comments
Showing 4 results
Your Answer

Please first to submit.